SuggestedGHNTask
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks
Class SuggestedGHNTask

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask
          org.gcube.vremanagement.resourcebroker.impl.planbuilders.generictasks.SuggestedGHNTask

    public class SuggestedGHNTask

extends PlanBuilderTask

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`SuggestedGHNTask()`

Method Summary
`PlanBuilderElem` | `makeDecision(PlanBuilderElem input)` By starting from a `PlanBuilderElem.getRequest()` part, it tries to assign to the packages having no pre-assigned GHNs, one of the GHNs globally defined at `org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanRequest` level.

Methods inherited from class org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderTask
`setID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuggestedGHNTask

    public SuggestedGHNTask()

Method Detail

### makeDecision

    public final PlanBuilderElem makeDecision(PlanBuilderElem input)
                                       throws PlanBuilderException

  By starting from a `PlanBuilderElem.getRequest()` part, it tries to assign to the packages having no pre-assigned GHNs, one of the GHNs globally defined at `org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanRequest` level. For each of them takes the ones that have less running instances.

  Specified by:
    `makeDecision` in class `PlanBuilderTask`
  Parameters:
    `input` - `PlanBuilderElem` the required data to make a decision plan.
  Returns:
    an element of type `PlanBuilderElem` with the initial request and response possibly modified in accordance to the decision making strategy.
  Throws:
    `PlanBuilderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD